cURL
curl --request GET \
--url https://api.rownd.io/applications/{app}/users/data \
--header 'x-rownd-app-key: <api-key>' \
--header 'x-rownd-app-secret: <api-key>'import requests
url = "https://api.rownd.io/applications/{app}/users/data"
headers = {
"x-rownd-app-key": "<api-key>",
"x-rownd-app-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-rownd-app-key': '<api-key>', 'x-rownd-app-secret': '<api-key>'}
};
fetch('https://api.rownd.io/applications/{app}/users/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_results": 123,
"results": [
{
"rownd_user": "user_a7b53gwdaml5jt7t71442nt7",
"state": "enabled",
"auth_level": "verified",
"attributes": {
"rownd:app_variants": [
"app_variant_1",
"app_variant_2"
],
"myapp:subscription_status": [
"active"
],
"myapp:loyalty_points": [
"100"
]
},
"data": {
"user_id": "user_a7b53gwdaml5jt7t71442nt7",
"email": "gary@foo.com",
"first_name": "Gary",
"last_name": "Jackson"
},
"verified_data": {
"email": "gary@foo.com",
"phone_number": "+19199993333"
},
"groups": [
{
"group": {
"id": "group_a3l1n2lsnb3q0xbul9enjnh7",
"name": "My Teammates",
"member_count": 0,
"app_id": "327677849595019856",
"admission_policy": "invite_only",
"meta": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "user_t6ftnnmw55pamuhfo9xvw0yl",
"created_by": "user_t6ftnnmw55pamuhfo9xvw0yl"
},
"member": {
"user_id": "user_fbylaq38591cghym5pabupj2",
"roles": [
"owner",
"editor"
],
"id": "member_dnn5g4e3q6aptail2gr43kpj",
"invited_by": "<string>",
"added_by": "<string>",
"profile": {
"user_id": "user_a7b53gwdaml5jt7t71442nt7",
"email": "gary@foo.com",
"first_name": "Gary",
"last_name": "Jackson"
},
"group_id": "group_ig42thhwf4cig25o7t9jtlyu"
}
}
],
"meta": {
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"first_sign_in": "2023-11-07T05:31:56Z",
"first_sign_in_method": "<string>",
"last_sign_in": "2023-11-07T05:31:56Z",
"last_sign_in_method": "<string>",
"last_active": "2023-11-07T05:31:56Z",
"last_passkey_registration_prompt": "2023-11-07T05:31:56Z"
},
"connection_map": {}
}
]
}User Profiles
List user profiles
GET
/
applications
/
{app}
/
users
/
data
cURL
Authorizations
appKey & appSecrethubAccessTokenForRowndApiserviceAccountToken
The publishable key of your application credentials. (more details)
The private secret of your application credentials. (more details)
Path Parameters
Rownd application ID
Query Parameters
Comma-separated list of fields to include in the profile data
Example:
"email,first_name"
Return user profiles with verified values that match this filter. This is a comma-separated list of values.
A comma-separated list of resource IDs to filter by
Number of resources to return per query. Max is 1000.
ID of the last resource in the previous page. If provided, the next page of results is returned beginning with this resource ID.
Which direction to sort the results
Available options:
asc, desc Include multiple users if they are found using the lookup and id filters
⌘I